
Ruby - Feature #18005

Enable non-blocking `binding.irb`.

06/23/2021 10:28 AM - ioquatix (Samuel Williams)

Status: Closed   

Priority: Normal   

Assignee: ioquatix (Samuel Williams)   

Target version:    

Description

This is a multi-faceted issue.

Firstly, we need to make some library changes, remove IO.select, etc from reline and so on.

Then, we need to make $stdin non-blocking (maybe by default - was planned).

Finally, we need to figure out whether we can relax rb_protect to allow fiber transfer.

History

#1 - 06/23/2021 10:28 AM - ioquatix (Samuel Williams)

I already made some changes in reline.

I'm experimenting with relaxing rb_protect: https://github.com/ruby/ruby/pull/4598

#2 - 06/24/2021 07:20 PM - jeremyevans0 (Jeremy Evans)

- Tracker changed from Bug to Feature

- Backport deleted (2.6: UNKNOWN, 2.7: UNKNOWN, 3.0: UNKNOWN)

#3 - 10/08/2022 07:53 AM - ioquatix (Samuel Williams)

- Status changed from Open to Closed

- Assignee set to ioquatix (Samuel Williams)

This is fixed and working correctly. But we might want to add tests so it doesn't break in the future.
